PIRL.TreeTable

## Class TreeTableModelAdapter

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - PIRL.TreeTable.TreeTableModelAdapter

All Implemented Interfaces:
  Serializable, TableModel

    public class TreeTableModelAdapter
    extends AbstractTableModel

This wrapper class takes a TreeTableModel and implements the table model interface. The implementation is trivial, with all of the event dispatching support provided by the superclass: the AbstractTableModel.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.swing.table.AbstractTableModel

`listenerList`

### Constructor Summary

Constructors
Constructor and Description
`TreeTableModelAdapter(TreeTableModel treeTableModel, JTree tree)`

### Method Summary

Methods
`protected void` `delayedFireTableDataChanged()`
`Class` `getColumnClass(int column)`
`int` `getColumnCount()`
`String` `getColumnName(int column)`
`int` `getRowCount()`
`Object` `getValueAt(int row, int column)`
`boolean` `isCellEditable(int row, int column)`
`protected Object` `nodeForRow(int row)`
`void` `setValueAt(Object value, int row, int column)`

### Methods inherited from class javax.swing.table.AbstractTableModel

`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreeTableModelAdapter

    public TreeTableModelAdapter(TreeTableModel treeTableModel,
                         JTree tree)

### Method Detail

#### getColumnCount

    public int getColumnCount()

#### getColumnName

    public String getColumnName(int column)

Specified by:
  `getColumnName` in interface `TableModel`
Overrides:
  `getColumnName` in class `AbstractTableModel`

#### getColumnClass

    public Class getColumnClass(int column)

Specified by:
  `getColumnClass` in interface `TableModel`
Overrides:
  `getColumnClass` in class `AbstractTableModel`

#### getRowCount

    public int getRowCount()

#### nodeForRow

    protected Object nodeForRow(int row)

#### getValueAt

    public Object getValueAt(int row,
                    int column)

#### isCellEditable

    public boolean isCellEditable(int row,
                         int column)

Specified by:
  `isCellEditable` in interface `TableModel`
Overrides:
  `isCellEditable` in class `AbstractTableModel`

#### setValueAt

    public void setValueAt(Object value,
                  int row,
                  int column)

Specified by:
  `setValueAt` in interface `TableModel`
Overrides:
  `setValueAt` in class `AbstractTableModel`

#### delayedFireTableDataChanged

    protected void delayedFireTableDataChanged()